<template>
  <div id="app">
    <can ref="canvas"></can>
    <btn v-bind:text="'Clear Input'" v-bind:cb="clear"></btn>
    <br>
    <btn v-bind:text="'Predict Number'" v-bind:cb="predict"></btn>
  </div>
</template>

<script>
  import Can from './components/can.vue';
  import Btn from './components/btn.vue';
  
  let data = {
    clear: () => {},
    predict: () => { console.log('TODO implement predicting function') }
  };
  
  export default {
    name: 'App',
    components: {Can, Btn},
    data() { return data; },
    mounted() { 
      this.$refs.canvas.clearCanvas(); 
      data.clear = this.$refs.canvas.clearCanvas;
    }
  }
</script>
